Skip to content

Alter Metadata

POST
/api/v1/codegen/alter-metadata
curl --request POST \
--url https://example.com/api/v1/codegen/alter-metadata \
--header 'Content-Type: application/json' \
--data '{ "catalog_name": "example", "schema_name": "example", "table_name": "example", "change": { "table_description": "example", "table_tags": {}, "columns": [ { "column": "example", "description": "example", "column_tags": {} } ] } }'

Generate SQL for Glossary/Metadata updates (Description, Tags). No structural schema changes allowed here.

X-Environment-Id
Any of:
string
Media typeapplication/json
GlossaryUpdateInput

Input for state-based metadata/glossary updates.

object
catalog_name
required
Catalog Name
string
schema_name
required
Schema Name
string
table_name
required
Table Name
string
change
required
GlossaryChange

The content of a glossary/metadata update.

object
table_description
Any of:
string
table_tags
Any of:
object
key
additional properties
any
columns
Columns
Array<object>
ColumnMetadataPatch

New column metadata payload (wrapper shape).

object
column
required
Column
string
description
Any of:
string
column_tags
Any of:
object
key
additional properties
any
Examplegenerated
{
"catalog_name": "example",
"schema_name": "example",
"table_name": "example",
"change": {
"table_description": "example",
"table_tags": {},
"columns": [
{
"column": "example",
"description": "example",
"column_tags": {}
}
]
}
}

Successful Response

Media typeapplication/json
CodegenResponse

Standard response for all codegen endpoints.

object
status
Status
string
default: success
Allowed values: success error
artifacts
required
Artifacts
Array<object>
ArtifactOutput

Standard artifact output format.

object
path
required
Path
string
content
required
Content
string
file_type
Any of:
string
encode_artifacts
Encode Artifacts
boolean
metadata
Any of:
object
key
additional properties
any
errors
Errors
Array<string>
Example
{
"status": "success",
"artifacts": [
{
"encode_artifacts": false
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}